
Smart Proxy - Bug #2652

Unable to start smart-proxy on Fedora 18

06/11/2013 07:43 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category:    

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We do not (or cannot) use sysconfig file with systemd, we should remove it.

This will resolve:

Redirecting to /bin/systemctl status  foreman-proxy.service

foreman-proxy.service - Foreman Proxy

      Loaded: loaded (/usr/lib/systemd/system/foreman-proxy.service; disabled)

      Active: failed (Result: resources)

      CGroup: name=systemd:/system/foreman-proxy.service

Jun 11 09:15:39 lzap-bb.brq.redhat.com systemd[1]: Starting Foreman Proxy...

Jun 11 09:15:39 lzap-bb.brq.redhat.com systemd[1]: Failed to load environment files: No such file 

or directory

Jun 11 09:15:39 lzap-bb.brq.redhat.com systemd[1]: Failed to start Foreman Proxy.

Jun 11 09:15:39 lzap-bb.brq.redhat.com systemd[1]: Unit foreman-proxy.service entered failed state

Related issues:

Has duplicate Smart Proxy - Bug #2597: sysconfig file missing on Fedora 18, b... Rejected 05/31/2013

Associated revisions

Revision ed9c3c08 - 06/20/2013 04:52 AM - Lukas Zapletal 

fixes #2652 - systemd service now working

(cherry picked from commit 9923a7d9a2c37120cbdd49f0201f2d76963dbd40)

Conflicts:

foreman-proxy.spec

History

#1 - 06/12/2013 11:27 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/smart-proxy/pull/93

#2 - 06/14/2013 01:33 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

#3 - 06/14/2013 01:38 PM - Dominic Cleal

- Project changed from Installer to Smart Proxy

#4 - 07/10/2018 02:42 PM - Greg Sutcliffe

- Target version deleted (1.2.0)
